/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.file.statistics;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * Defines a mock <code>FileStatistics</code> sub-class implementing <code>ArgumentHandler</code> interface.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 2.0b
 * @since 2.0b
 */
public class MockFileStatistics extends FileStatistics implements
        ArgumentHandler {
    /**
     * <p>
     * Defines a mock implementation of <code>ArgumentHandler</code>.
     * </p>
     *
     * @return an empty list.
     */
    public List proposeOptions() {
        return new ArrayList();
    }

    /**
     * <p>
     * Defines a mock implementation of <code>ArgumentHandler</code>.
     * </p>
     *
     * @param arguments a mock argument.
     */
    public void handleArguments(Map arguments) {
    }

}
